Bug 207562 - irc/quassel update to 0.12.3
Summary: irc/quassel update to 0.12.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-28 14:41 UTC by groot
Modified: 2016-03-31 12:59 UTC (History)
1 user (show)

See Also:
makc: maintainer-feedback+


Attachments
Patch to update to new version (4.01 KB, patch)
2016-02-28 14:42 UTC, groot
no flags Details | Diff
QA: Successful poudriere testport logs for irc/quassel 0.12.3 on FreeBSD 10.2 amd64 amd64 (178.42 KB, text/plain)
2016-03-30 19:00 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2016-02-28 14:41:10 UTC
http://www.quassel-irc.org/node/128

Quassel 0.12.3 was released mid-february. It contains some of the patches that FreeBSD carried as part of the port. svn diff to ports tree is attached.
Comment 1 groot 2016-02-28 14:42:15 UTC
Created attachment 167516 [details]
Patch to update to new version

 - bump PORTVERSION
 - drop PORTREVISION
 - remove 2 patches that are upstream
Comment 2 Ben Woods freebsd_committer 2016-03-30 18:37:19 UTC
Changes this release:
  https://github.com/quassel/quassel/blob/0.12.3/ChangeLog
Comment 3 Ben Woods freebsd_committer 2016-03-30 19:00:29 UTC
Created attachment 168795 [details]
QA: Successful poudriere testport logs for irc/quassel 0.12.3 on FreeBSD 10.2 amd64 amd64
Comment 4 commit-hook freebsd_committer 2016-03-31 12:52:24 UTC
A commit references this bug:

Author: makc
Date: Thu Mar 31 12:51:44 UTC 2016
New revision: 412218
URL: https://svnweb.freebsd.org/changeset/ports/412218

Log:
  irc/quassel:
  - Update to 0.12.3
  - Remove upstream patches

  PR:		207562
  Submitted by:	Adriaan de Groot (groot@kde.org)

Changes:
  head/irc/quassel/Makefile
  head/irc/quassel/distinfo
  head/irc/quassel/files/patch-git_07847739
  head/irc/quassel/files/patch-src_core_coreuserinputhandler.cpp